/** @typedef {typeof __propDef.props}  BookProps */
/** @typedef {typeof __propDef.events}  BookEvents */
/** @typedef {typeof __propDef.slots}  BookSlots */
export default class Book extends SvelteComponent<{
    pages?: any[] | undefined;
    animationDuration?: string | undefined;
    animationTimingFunctionFirst?: string | undefined;
    animationTimingFunctionLast?: string | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type BookProps = typeof __propDef.props;
export type BookEvents = typeof __propDef.events;
export type BookSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        pages?: any[] | undefined;
        animationDuration?: string | undefined;
        animationTimingFunctionFirst?: string | undefined;
        animationTimingFunctionLast?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: undefined;
    bindings?: undefined;
};
export {};
