export function createContext(): {
    pages: import("svelte/store").Writable<never[]>;
    _alignedPages: import("svelte/store").Readable<string[]>;
    totalPageCount: import("svelte/store").Readable<number>;
    _leftPages: import("svelte/store").Writable<never[]>;
    _rightPages: import("svelte/store").Writable<never[]>;
    leftPagePairs: import("svelte/store").Readable<never[][]>;
    rightPagePairs: import("svelte/store").Readable<never[][]>;
    animationTargetTopPageNo: import("svelte/store").Writable<number>;
    animationFirstHalf: import("svelte/store").Writable<boolean>;
    animationLastHalf: import("svelte/store").Readable<boolean>;
    destroy: () => void;
    setFlipPageToLeftAnimation: (firstHalf?: boolean) => void;
    setFlipPageToRightAnimation: (firstHalf?: boolean) => void;
};
export function setAnimationConfig(pageContainerElem: any, params: any): {
    destroy(): void;
};
