/** @typedef {typeof __propDef.props}  ComponentLoaderProps */
/** @typedef {typeof __propDef.events}  ComponentLoaderEvents */
/** @typedef {typeof __propDef.slots}  ComponentLoaderSlots */
export default class ComponentLoader extends SvelteComponent<{
    getRegisteredComponent?: ((componentName: any) => any) | undefined;
    load?: ((componentName: any) => Promise<any>) | undefined;
    loadAll?: ((items: any) => Promise<any[]>) | undefined;
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
    get getRegisteredComponent(): (componentName: any) => any;
    get load(): (componentName: any) => Promise<any>;
    get loadAll(): (items: any) => Promise<any[]>;
}
export type ComponentLoaderProps = typeof __propDef.props;
export type ComponentLoaderEvents = typeof __propDef.events;
export type ComponentLoaderSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        getRegisteredComponent?: ((componentName: any) => any) | undefined;
        load?: ((componentName: any) => Promise<any>) | undefined;
        loadAll?: ((items: any) => Promise<any[]>) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: undefined;
    bindings?: undefined;
};
export {};
