import { SvelteComponent } from "svelte";
import type { ComponentType } from "svelte";
declare const __propDef: {
    props: {
        direction?: "row" | "column";
        reverse?: boolean;
        justifyContent?: string;
        alignItems?: string;
        trapFocus?: boolean;
        defaultItemProps?: Record<string, any>;
        items?: Array<{
            [key: string]: any;
            component?: ComponentType;
        }>;
        autoRegisterCustomEventsFromItemProps?: boolean;
        customEvents?: string[];
        clearRegisteredCustomEvents?: () => void;
    };
    events: {
        customEventsRegistered: CustomEvent<{
            customEvents: string[];
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type FlexBoxProps = typeof __propDef.props;
export type FlexBoxEvents = typeof __propDef.events;
export type FlexBoxSlots = typeof __propDef.slots;
export default class FlexBox extends SvelteComponent<FlexBoxProps, FlexBoxEvents, FlexBoxSlots> {
    get customEvents(): string[];
    get clearRegisteredCustomEvents(): () => void;
    get direction(): "row" | "column" | undefined;
    /**accessor*/
    set direction(_: "row" | "column" | undefined);
    get reverse(): boolean | undefined;
    /**accessor*/
    set reverse(_: boolean | undefined);
    get justifyContent(): string | undefined;
    /**accessor*/
    set justifyContent(_: string | undefined);
    get alignItems(): string | undefined;
    /**accessor*/
    set alignItems(_: string | undefined);
    get trapFocus(): boolean | undefined;
    /**accessor*/
    set trapFocus(_: boolean | undefined);
    get defaultItemProps(): Record<string, any> | undefined;
    /**accessor*/
    set defaultItemProps(_: Record<string, any> | undefined);
    get items(): {
        [key: string]: any;
        component?: ComponentType;
    }[] | undefined;
    /**accessor*/
    set items(_: {
        [key: string]: any;
        component?: ComponentType;
    }[] | undefined);
    get autoRegisterCustomEventsFromItemProps(): boolean | undefined;
    /**accessor*/
    set autoRegisterCustomEventsFromItemProps(_: boolean | undefined);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
}
export {};
