import { SvelteComponent } from "svelte";
import { PopUpKind } from "./PopUpKind.js";
declare const __propDef: {
    props: {
        kind: PopUpKind;
        title?: string;
        content?: string;
        userInput?: string;
        buttons?: {
            text: string;
            value: string;
            userInput?: string;
        }[] | null;
        background?: string;
    };
    events: {
        buttonClicked: CustomEvent<{
            text: string;
            value: string;
            userInput?: string;
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type PopUpProps = typeof __propDef.props;
export type PopUpEvents = typeof __propDef.events;
export type PopUpSlots = typeof __propDef.slots;
export default class PopUp extends SvelteComponent<PopUpProps, PopUpEvents, PopUpSlots> {
}
export {};
