import { SvelteComponent } from "svelte";
import { type ShowContentControlOptions, type PanelSizeInfo } from "./common.js";
declare const __propDef: {
    props: {
        showContentControl?: boolean | ShowContentControlOptions;
        showPanelResizingInfo?: boolean;
        panel_0_length?: string;
    };
    events: {
        pointerdown: PointerEvent;
        panelSizeChanged: CustomEvent<PanelSizeInfo>;
        panelSwapButtonClicked: CustomEvent<void>;
        panelOrientationButtonClicked: CustomEvent<void>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        top: {};
        bottom: {};
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type SplitterVProps = typeof __propDef.props;
type SplitterVEvents_ = typeof __propDef.events;
export { SplitterVEvents_ as SplitterVEvents };
export type SplitterVSlots = typeof __propDef.slots;
export default class SplitterV extends SvelteComponent<SplitterVProps, SplitterVEvents_, SplitterVSlots> {
}
