import { SvelteComponent } from "svelte";
import type { Tab, TabPosition } from './types.js';
declare const __propDef: {
    props: {
        tabs?: Tab[];
        selectedTabIndex?: number;
        tabPosition?: TabPosition;
        showContentControl?: boolean;
        customEvents?: string[];
        getTabComponents?: () => any[];
    };
    events: {
        contextmenu: MouseEvent;
        updateChildComponentInfo: CustomEvent<{
            updateCallback: (childComponentInfo: unknown) => void;
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type TabProps = typeof __propDef.props;
type TabEvents_ = typeof __propDef.events;
export { TabEvents_ as TabEvents };
export type TabSlots = typeof __propDef.slots;
export default class Tab extends SvelteComponent<TabProps, TabEvents_, TabSlots> {
    get getTabComponents(): () => any[];
    get tabs(): Tab[] | undefined;
    /**accessor*/
    set tabs(_: Tab[] | undefined);
    get selectedTabIndex(): number | undefined;
    /**accessor*/
    set selectedTabIndex(_: number | undefined);
    get tabPosition(): TabPosition | undefined;
    /**accessor*/
    set tabPosition(_: TabPosition | undefined);
    get showContentControl(): boolean | undefined;
    /**accessor*/
    set showContentControl(_: boolean | undefined);
    get customEvents(): string[] | undefined;
    /**accessor*/
    set customEvents(_: string[] | undefined);
}
