import { SvelteComponent } from "svelte";
import { DataSink } from "../common/data/DataStore.js";
declare const __propDef: {
    props: {
        height?: string;
        fontSize?: string;
        backgroundColor?: string;
        initialOutput?: null;
        autoClear?: boolean;
        autoScrollDown?: boolean;
        getDataSink?: () => DataSink;
        update?: () => void;
        clear?: () => void;
        log?: (output: string | object) => void;
        error?: (output: string | object) => void;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type ConsoleProps = typeof __propDef.props;
export type ConsoleEvents = typeof __propDef.events;
export type ConsoleSlots = typeof __propDef.slots;
export default class Console extends SvelteComponent<ConsoleProps, ConsoleEvents, ConsoleSlots> {
    get getDataSink(): () => DataSink;
    get update(): () => void;
    get clear(): () => void;
    get log(): (output: string | object) => void;
    get error(): (output: string | object) => void;
}
export {};
