/** @typedef {typeof __propDef.props}  FloorChildProps */
/** @typedef {typeof __propDef.events}  FloorChildEvents */
/** @typedef {typeof __propDef.slots}  FloorChildSlots */
export default class FloorChild extends SvelteComponent<{
    componentScriptBasePath: any;
    update?: ((focus?: boolean) => any) | undefined;
    menuItems?: any[] | undefined;
    floorId?: null | undefined;
    ancestorFloorId?: null | undefined;
    childComponentInfo?: null | undefined;
    ensureVisible?: ((targetFloorId: any) => any) | undefined;
    resetFloor?: ((targetFloorId: any) => any) | undefined;
    floorLevel?: number | undefined;
    designMode?: boolean | undefined;
    getContextDesignMode?: (() => any) | undefined;
    getChildComponentInfo?: (() => {
        floorId: any;
        childComponentInfo: any;
    }) | undefined;
    highlight?: ((targetFloorId: any) => any) | undefined;
    removeTabFloor?: ((targetFloorId: any, tabIndexUpdateInfo: any) => any) | undefined;
    tryToLinkDataSink?: ((dataSink: any) => void) | undefined;
}, {
    queryContainerInfo: CustomEvent<any>;
    loadFloorChildComponent: CustomEvent<any>;
} & {
    [evt: string]: CustomEvent<any>;
}, {}> {
    get update(): (focus?: boolean) => any;
    get getContextDesignMode(): () => any;
    get getChildComponentInfo(): () => {
        floorId: any;
        childComponentInfo: any;
    };
    get ensureVisible(): (targetFloorId: any) => any;
    get highlight(): (targetFloorId: any) => any;
    get resetFloor(): (targetFloorId: any) => any;
    get removeTabFloor(): (targetFloorId: any, tabIndexUpdateInfo: any) => any;
    get tryToLinkDataSink(): (dataSink: any) => void;
}
export type FloorChildProps = typeof __propDef.props;
export type FloorChildEvents = typeof __propDef.events;
export type FloorChildSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        componentScriptBasePath: any;
        update?: ((focus?: boolean) => any) | undefined;
        menuItems?: any[] | undefined;
        floorId?: null | undefined;
        ancestorFloorId?: null | undefined;
        childComponentInfo?: null | undefined;
        ensureVisible?: ((targetFloorId: any) => any) | undefined;
        resetFloor?: ((targetFloorId: any) => any) | undefined;
        floorLevel?: number | undefined;
        designMode?: boolean | undefined;
        getContextDesignMode?: (() => any) | undefined;
        getChildComponentInfo?: (() => {
            floorId: any;
            childComponentInfo: any;
        }) | undefined;
        highlight?: ((targetFloorId: any) => any) | undefined;
        removeTabFloor?: ((targetFloorId: any, tabIndexUpdateInfo: any) => any) | undefined;
        tryToLinkDataSink?: ((dataSink: any) => void) | undefined;
    };
    events: {
        queryContainerInfo: CustomEvent<any>;
        loadFloorChildComponent: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: undefined;
    bindings?: undefined;
};
export {};
