import { SvelteComponent } from "svelte";
import { type ShowContentControlOptions, type PanelSizeInfo } from "./common.js";
declare const __propDef: {
    props: {
        showContentControl?: boolean | ShowContentControlOptions;
        showPanelResizingInfo?: boolean;
        panel_0_length?: string;
    };
    events: {
        pointerdown: PointerEvent;
        panelSizeChanged: CustomEvent<PanelSizeInfo>;
        panelSwapButtonClicked: CustomEvent<void>;
        panelOrientationButtonClicked: CustomEvent<void>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        left: {};
        right: {};
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type SplitterHProps = typeof __propDef.props;
type SplitterHEvents_ = typeof __propDef.events;
export { SplitterHEvents_ as SplitterHEvents };
export type SplitterHSlots = typeof __propDef.slots;
export default class SplitterH extends SvelteComponent<SplitterHProps, SplitterHEvents_, SplitterHSlots> {
}
