export declare function as<T>(obj: unknown): T | null;
export declare function camelToKebab(str: string): string;
export declare function isAsyncFunction(func: any): boolean;
export declare function fileExists(filePath: string): Promise<boolean>;
export declare function loadScript(scriptPath: string, ignoreIfNotFound?: boolean, isModule?: boolean): Promise<void>;
export declare function loadClassFromModule(modulePath: string, className: string): Promise<any>;
export declare function deepCopy<T>(obj: T): T;
export declare function cLog(...args: any[]): void;
export declare function diffObj(obj1: any, obj2: any, isRoot?: boolean): any;
export declare function cDiffObj(obj1: any, obj2: any, message?: string): void;
